[Known upstream bug] LMDE UP4: Printer properties error

Post your update and upgrade related errors here
Forum rules
Before you post please read this

[Known upstream bug] LMDE UP4: Printer properties error

Postby bdantas on Wed Apr 11, 2012 9:58 am

Before UP4 I could go to Printers, right-click on a printer, and choose Properties to edit job settings, etc. After UP4 and MATE, now when I right-click on a printer (either my wireless HP Photosmart C8180 or the cups-pdf printer) and choose Properties, I get the following error in a message box:

Code: Select all
Option 'printer-resolution' has value '(unknown IPP tag)' and cannot be edited.


After I click OK on the box, the message goes away and I can edit the printer properties but cannot delete or change the offending printer resolution option. I can print without problems, so this is just a cosmetic issue. Still, it would be nice not to get an error every time I need to change my printer settings for some reason. What do I need to fix to make this error go away?
Last edited by bdantas on Fri Apr 13, 2012 2:57 pm, edited 5 times in total.
bdantas
Level 2
Level 2
 
Posts: 56
Joined: Tue Jan 03, 2012 8:42 pm

Linux Mint is funded by ads and donations.
 

Re: LMDE UP4 MATE: Unknown IPP tag error

Postby Matt267 on Wed Apr 11, 2012 11:47 am

bdanta,

I'm getting the same error after UP4, and I can't print at all. I haven't had the time to troubleshoot it yet though. I was going to try and install the drivers provided by Brother (I have a Brother 5370DW printer) from their website. I'm having problems with both the CUPS and foomatic drivers.

Matt
Matt267
Level 3
Level 3
 
Posts: 153
Joined: Sat May 07, 2011 7:53 am
Location: USA

Re: LMDE UP4 MATE: Unknown IPP tag error

Postby bdantas on Thu Apr 12, 2012 11:51 am

Matt267,
I dowloaded the new LMDE iso (201204 RC MATE/Cinnamon 64-bit) and booted into a live session. First thing I did was to go into Printers and check if I'd get an error when opening the default PDF printer's Properties. I got the same exact error.

I think the fact that the error is seen even with the default PDF printer and on a live session says that this is not a problem with our installations, and probably has nothing to do with our specific printers. There must be something wrong upstream with the cups package or other basic printing-related package(s).

Back in my actual installed system, I reinstalled the cups package but still get the error. I'm a GNU/Linux beginner and am at a loss as to how to fix this. I hope a solution is found so that you can print, Matt. If I find a solution to the problem I will post it here.
bdantas
Level 2
Level 2
 
Posts: 56
Joined: Tue Jan 03, 2012 8:42 pm

Re: LMDE UP4 MATE: Unknown IPP tag error

Postby Matt267 on Thu Apr 12, 2012 12:27 pm

I was thinking about trying to install the drivers provided by Brother from their website and not use the CUPS drivers. Thanks for the heads up with getting the error while using the live session, you may have saved me lots of time, I was thinking of doing a fresh install.

If I can figure it out, and when I have a chance to install the printer drivers from Brother, I'll let you know how I made out.

Matt
Matt267
Level 3
Level 3
 
Posts: 153
Joined: Sat May 07, 2011 7:53 am
Location: USA

Re: LMDE UP4 MATE: Unknown IPP tag error

Postby bdantas on Thu Apr 12, 2012 6:58 pm

As I suspected, this is a known upstream bug and the culpable package is system-config-printer: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=656640
I checked the Debian testing and Debian unstable repos, and right now both of them contain the same version of this package as LMDE latest (system-config-printer 1.3.7-3), so this is the most up-to-date version currently available.
Guess all that can be done is wait until the Debian or LM devs create a new version of this package without the bug :?
Matt, I think your inability to print is most likely not related to this bug. Trying the drivers from Brother sounds promising.
bdantas
Level 2
Level 2
 
Posts: 56
Joined: Tue Jan 03, 2012 8:42 pm

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby funkypitt on Thu Apr 19, 2012 10:34 pm

Hi,

I have a Brother 5350DN (network), and a newly installed LMDE UP4.

After following the instructions on Brother's website for installing the drivers, I can still only print a blank page. I think this bug is actually preventing me from printing anything. If my problems are unrelated to the upstream bug, I would love to know a way out of this (Matt, I hope you found one!) !
funkypitt
Level 1
Level 1
 
Posts: 1
Joined: Wed Apr 11, 2012 12:31 pm

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby Matt267 on Fri Apr 20, 2012 8:17 pm

Funkypitt,

I haven't really worked on it yet in LMDE. I did however run SalineOS live and was able to print no problem. I wish I was better able to troubleshoot this type of stuff. After UP3, I had problems printing pdf files (viewtopic.php?f=198&t=83107), and after UP4 I can't print at all. Because I'm able to print without any issues in Saline, I'm assuming there is a kernel, CUPS, driver issue with the most recent version of everything. :?
Matt267
Level 3
Level 3
 
Posts: 153
Joined: Sat May 07, 2011 7:53 am
Location: USA

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby Bergschreck on Sun Apr 22, 2012 2:41 am

I also have this Brother printing bug (empty pages). I think it is this bug: https://bugs.launchpad.net/ubuntu/+sour ... bug/950713

According to comment #59 it should be fixed in package cups-filters 1.0.5-1. My LMDE has version 1.0.2-1. Can I add some package source to get this new version?
Bergschreck
Level 1
Level 1
 
Posts: 29
Joined: Fri Apr 20, 2012 4:56 am

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby Matt267 on Sun Apr 22, 2012 7:32 am

bergschreck,

A bug makes sense because I also can't print running WattOS live either, but I can running SalineOS live. When I print a test page running WattOS or LMDE, the first page is blank and a second page prints that reads:
ERROR:
invalidaccess
OFFENDING COMMAND:
length
STACK:

Do you have the 5730DW? Did you have trouble printing pdf files after UP3 (viewtopic.php?f=198&t=83107)? I can't find anyone else who had this problem. I have also had that problem running most ubuntu based distros including Mint10.

Matt
Matt267
Level 3
Level 3
 
Posts: 153
Joined: Sat May 07, 2011 7:53 am
Location: USA

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby äxl on Sun Apr 22, 2012 8:48 am

Bergschreck wrote:cups-filters 1.0.5-1. My LMDE has version 1.0.2-1. Can I add some package source to get this new version?

It's in debian.org Sid/Unstable. But there could be some dependency problems ... :?
My Linux history: Ubuntu 10.04 - 10.10 - LMDE 201109 - UP4 My sources.list/preferences

Computers is not science. And it's not magic - it's something in between.
User avatar
äxl
Level 5
Level 5
 
Posts: 524
Joined: Fri Apr 06, 2012 6:14 am
Location: Germany

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby Bergschreck on Sun Apr 22, 2012 10:14 am

Matt267 wrote:Do you have the 5730DW? Did you have trouble printing pdf files after UP3 (viewtopic.php?f=198&t=83107)? I can't find anyone else who had this problem. I have also had that problem running most ubuntu based distros including Mint10.

I'm new to Linuxmint. I switched from Ubuntu to Linuxmint yesterday, and started with UP4. I never had printing problems on Ubuntu. My printer is a Brother DCP-7045N.
Bergschreck
Level 1
Level 1
 
Posts: 29
Joined: Fri Apr 20, 2012 4:56 am

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby Matt267 on Sun Apr 22, 2012 10:21 am

I see. Lets hope this issue gets resolved soon!
Matt267
Level 3
Level 3
 
Posts: 153
Joined: Sat May 07, 2011 7:53 am
Location: USA

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby Bergschreck on Mon Apr 23, 2012 6:35 am

I did some research on this topic and found the following:

There was a major redesign in printer workflow (pdf based workflow) which led to new filters. For this they created a new package "cups-filters". You can see a history of this package at Ubuntus launchpad:

https://blueprints.launchpad.net/ubuntu ... rs-package
https://launchpad.net/ubuntu/+source/cu ... inghistory

In version 1.0.15 they fixed the issue with Brother postscript printers. Now when you look at the debian packages, you see a 1.0.2 in testing, and 1.0.16 in unstable.

http://packages.debian.org/search?keywo ... ection=all

Looks like the Canonical guys do a lot of development on this package for their new "Precise Pangolin" release. Due to the frequent updates, the versions don't reach testing in Debian.

I think when Canonical releases its Pangolin, the development of this filters will be finished and they can go to debian testing, and 1 month later into a LM update package.
Bergschreck
Level 1
Level 1
 
Posts: 29
Joined: Fri Apr 20, 2012 4:56 am

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby rootchick on Thu Apr 26, 2012 10:41 am

In the meantime can we revert to a cups that isn't broken?
User avatar
rootchick
Level 1
Level 1
 
Posts: 33
Joined: Fri Apr 01, 2011 12:55 pm

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby Matt267 on Thu Apr 26, 2012 10:53 am

rootchick,

That's too advanced for me. :D

Perhaps someone else will be able to answer that.

Matt
Matt267
Level 3
Level 3
 
Posts: 153
Joined: Sat May 07, 2011 7:53 am
Location: USA

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby barryp on Thu Apr 26, 2012 11:42 am

I also have this problem with a fresh install of LMDE 201204. I've deleted my other post to avoid duplication.
User avatar
barryp
Level 2
Level 2
 
Posts: 55
Joined: Wed Sep 24, 2008 5:14 am

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby mhwelsh on Thu Apr 26, 2012 2:53 pm

Just to add my twopenny worth;

I have two installations on the same computer using the same printer. (Dual Boot)
The first installation has a level 4 update, Lmde64, and the second has a 201204 installation, lmde64.
Running dpkg -l shows that they both have identical Cups software;
ii cups 1.5.2-5 Common UNIX Printing System(tm) - server
ii cups-bsd 1.5.2-5 Common UNIX Printing System(tm) - BSD commands
ii cups-client 1.5.2-5 Common UNIX Printing System(tm) - client programs (SysV)
ii cups-common 1.5.2-5 Common UNIX Printing System(tm) - common files
ii cups-driver-gutenprint 5.2.7-5 transitional dummy package for gutenprint printer driver
ii cups-filters 1.0.2-1 OpenPrinting CUPS Filters
ii cups-pdf 2.6.1-5 PDF writer backend for CUPS
ii cups-pk-helper 0.2.1.2-1 PolicyKit helper to configure cups with fine-grained privileges
ii cups-ppdc 1.5.2-5 Common UNIX Printing System(tm) - PPD manipulation utilities

Installing the printer on to 201204 using localhost:631 produces the error message.(Unknown IPP tag)
The level4 update is quite happy.

Hopefully the bug will be squashed.

martin welsh
i
mhwelsh
Level 2
Level 2
 
Posts: 63
Joined: Sun Dec 27, 2009 12:44 pm

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby rootchick on Thu Apr 26, 2012 4:53 pm

Strange. I have two computers that are running Update Pack 4, and I'm having printing issues with both of them. The first is connected a Dell 1710n (networked) and I get the IPP error, but other than that it seems to work well enough. The other computer, a fresh install of 201109 updated to UP 4, is giving me all sorts of printing issues. I have three printers I want to connect it to--a Dell 3100cn & an Okidata MPS420b (networked) and a Brother HL-1440 via usb. They all produced the IPP error. The Brother would print, but everything I printed was scaled enormously. Example--when I printed a test page, I appear to only be getting about a quarter of the test page, scaled too big. It prints Tux and about half the circular color test pattern next to him, and the only text visible is the word "Printer" and it crops off the rest. The 3100cn kept telling me to load size a4 paper, despite everything being set to Letter, including /etc/papersize (been bitten by that one before). The Okidata wouldn't print at all, though it's entirely possible I was not printing to the printer I thought it was printing to and the print jobs were coming out perfectly elsewhere in the building, come to think of it!

Oh, and I kept getting the error "pdf file is damaged - attempting to reconstruct xref table".

Okay, I'm done ranting. I'm sure I'll figure out these problems eventually, but it just adds evidence to my conviction that printers are evil. :mrgreen:
User avatar
rootchick
Level 1
Level 1
 
Posts: 33
Joined: Fri Apr 01, 2011 12:55 pm

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby drjster on Sat Apr 28, 2012 10:18 am

I have a Brother MFC 8890DW with the same problem. It's described here https://bugs.launchpad.net/ubuntu/+source/cups-filters/+bug/951627

The fix described in this link as well as in a previous post in this thread is replacing cups-filters 1.0.2-1 with cups-filters 1.0.5-1 from unstable (dependency issues may occur - use at your own risk).

In the meantime, a temporary fix that works for me is to change the printer driver to Generic PostScript Level 1 Printer Foomatic/Postscript1. Printing now works BUT it is slow to spool and the other MFC functions do not work.
User avatar
drjster
Level 1
Level 1
 
Posts: 24
Joined: Tue Nov 16, 2010 10:04 am
Location: USA

Re: [Known upstream bug] LMDE UP4: Printer properties error

Postby rootchick on Mon Apr 30, 2012 3:36 pm

On both my Update Pack 4 computers I just installed cups-filters from Debian unstable (1.0.16-2+b1), and deleted and re-installed all the printers via the CUPS admin interface on http://localhost:631 and now all the printers will print correctly! I still get the IPP error if I look at the printer properties in Control Center --> Printing, but as long as the printers actually work I can live with that.
User avatar
rootchick
Level 1
Level 1
 
Posts: 33
Joined: Fri Apr 01, 2011 12:55 pm

Linux Mint is funded by ads and donations.
 
Next

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: Google Adsense [Bot] and 6 guests